> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link Documents To Note

> Link existing documents to a note.



## OpenAPI

````yaml post /notes/{note_id}/documents/link
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /notes/{note_id}/documents/link:
    post:
      tags:
        - provider
        - scribe
        - note
      summary: Link Documents To Note
      description: Link existing documents to a note.
      operationId: link_documents_to_note_notes__note_id__documents_link_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: note_id
          in: path
          required: true
          schema:
            type: string
            title: Note Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkDocumentsRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DocumentSummary'
                title: >-
                  Response Link Documents To Note Notes  Note Id  Documents Link
                  Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LinkDocumentsRequest:
      properties:
        document_ids:
          items:
            type: string
          type: array
          title: Document Ids
      type: object
      required:
        - document_ids
      title: LinkDocumentsRequest
    DocumentSummary:
      properties:
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        filePath:
          type: string
          title: Filepath
        fileType:
          type: string
          title: Filetype
        title:
          type: string
          title: Title
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        docType:
          $ref: '#/components/schemas/DocumentType'
        signatureUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Signatureurl
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        noteIds:
          items:
            type: string
          type: array
          title: Noteids
          default: []
        sourceNoteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourcenoteid
      type: object
      required:
        - id
        - patientId
        - filePath
        - fileType
        - title
        - summary
        - docType
        - signatureUrl
      title: DocumentSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentType:
      type: string
      enum:
        - LAB
        - PHARMACY
        - IMAGE
        - REPORT
        - OTHER
        - CONSENT
        - NOTE_UPLOAD
      title: DocumentType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````